@import url("reset.css");
@import url("languages.css");
@import url("mobile-menu.css");


body {
    min-height: 100vh;
    margin-inline: 0; 
    padding-block-start: 0; 
    padding-block-end: 0; 
    display: flex;
    flex-direction: column;
    width:100%;
    font-family: sans-serif;
}
body.locked {
    overflow-y: hidden;
}

header {
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 10;
    transition:0.3s;
}


main{
    flex:1;
    overflow-x: hidden;
}

.back-to-top {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    z-index: 10000;
    width: 42px;
    height: 42px;
    background-color: var(--primary-color-lighter);
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    cursor: pointer;
    transition: 0.2s;
    opacity: 0;
    visibility: hidden;
}

    .back-to-top.show {
        opacity: 1;
        visibility: visible;
    }


a{
    text-decoration: none;
    transition: all 0.3s;
    display: inline-block;
    cursor: pointer;
}

img{
    display:inline-block;
    max-width:100%;
}

p:not(:first-child){
    margin-top: 1rem;
}


.material-symbols-outlined{
    max-width: 24px;
    overflow: hidden;
}

.container{
    width: clamp(300px, 100% , 1200px);
    margin: 0 auto;
    padding-inline: 1rem;
}
.container-narrow{
    width: clamp(300px, 100% , 960px);
    margin: 0 auto;
    padding-inline: 1rem;
}
